{ pkgs ? import <nixpkgs> {} }:

let
  # We may need some packages from nixpkgs-unstable
  #unstable = import <nixpkgs-unstable> {};

  rust-toolchain = pkgs.symlinkJoin {
    name = "rust-toolchain";
    paths = [pkgs.rustc pkgs.cargo pkgs.clippy pkgs.rustfmt pkgs.rustPlatform.rustcSrc];
  };
in

pkgs.mkShell {

  buildInputs = [
    rust-toolchain
  ];

}
